• Hello, we have a forum with nodebb-plugin-emoji installed but currently it's not working. We have this error on the console

    Uncaught Error: Mismatched anonymous define() module: function(){return u}
    http://requirejs.org/docs/errors.html#mismatch
        F require.js:7
        v require.js:14
        c require.js:26
        requirejs require.js:32
        <anonymous> emoji-setup.js:157
    

    On emoji-setup.js there's the following code that fails

    require(['emoji'], function (emoji) {
      $(window).on('composer:autocomplete:init chat:autocomplete:init', function (e, data) {
        emoji.init();
        data.strategies.push(emoji.strategy);
      });
    });
    

    The require callback is not called. Any suggestions? I can give more information as requested. Also, is there a way to prevent minifying nodebb assets? This would make easier the debugging process. Thanks for any help 😊

  • Global Moderator

    @asdrubalivan ./nodebb build -d produces unminified js bundles.

    What version of NodeBB? What version of the emoji plugin? What version of nodejs?

Suggested Topics

  • 22
  • 3
  • 5
  • 5
  • 42
| |